;EasyVENT demonstration program - String gadgets.
;*********************************************************************************

;(Checked working with EasyVENT 3.0.0)

;DEMONSTRATES THE FOLLOWING EVENTS:
;   #OnLinkClick
;This short demo shows how to use EasyVENT to catch link clicks in an editor gadget.
;*********************************************************************************


;ESSENTIAL INCLUDE.
;*********************************************************************************
XIncludeFile "EasyVENT.pbi"
;*********************************************************************************

Declare.l ClickLink(*sender.PB_Sender)

Define Event.l, text$

OpenWindow(0, 0, 0, 640, 480, "EasyVENT EditorGadget demo.", #PB_Window_SystemMenu |#PB_Window_MinimizeGadget|#PB_Window_MaximizeGadget| #PB_Window_ScreenCentered|#PB_Window_Maximize)

  TextGadget(0, 10, 10, 80, 20, "Click the link!")
  EditorGadget(1, 100, 10, 200, 50,#PB_Editor_ReadOnly)
  SendMessage_(GadgetID(1), #EM_AUTOURLDETECT, #True, 0) 
  AddGadgetItem(1,-1,"Visit:   http://www.purebasic.fr/english/"+Chr(#LF))
  AddGadgetItem(1,-1,"  or      www.mathsguru.co.uk")
  WebGadget(2,10,80,WindowWidth(0)-20,WindowHeight(0)-100,"www.purebasic.com")

;Set event handlers.
SetEventHandler(GadgetID(1), #OnLinkClick, @ClickLink())


Repeat
  Event = WaitWindowEvent()
Until Event = #PB_Event_CloseWindow
End


;*********************************************************************************
;                                 EVENT HANDLERS
;*********************************************************************************
;Here we intercept the clicked link and redirect the web gadget to the relevant page.
Procedure.l ClickLink(*sender.PB_Sender)
SetGadgetText(2, *sender\text$)
Debug *sender\text$
ProcedureReturn #Event_ReturnFalse
EndProcedure


; IDE Options = PureBasic v4.00 (Windows - x86)
; CursorPosition = 42
; FirstLine = 8
; IDE Options = PureBasic 4.50 RC 1 (Windows - x86)
; Folding = -